<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetRevisionNumberIDFromState Method (IEdmRevisionMgr2)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRevisionMgr2 Interface : GetRevisionNumberIDFromState Method (IEdmRevisionMgr2)

Visual Basic
C#
C++/CLI

lStateID
  ID of workflow state for which to get a revision number (see Remarks)

Gets the ID of the revision number used in the specified workflow state.

# Syntax

Visual Basic |
--- | ---

    Function GetRevisionNumberIDFromState( _
       ByVal lStateID As System.Integer _
    ) As System.Integer

C# |
--- | ---

    System.int GetRevisionNumberIDFromState(
       System.int lStateID
    )

C++/CLI |
--- | ---

    System.int GetRevisionNumberIDFromState(
    &   System.int lStateID
    )

#### Parameters

lStateID
  ID of workflow state for which to get a revision number (see Remarks)

#### Return Value

Revision number ID; 0 if no revision number is found for the specified workflow state

# Remarks

Before calling this method, set lStateID using IEdmState5.ID.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_INVALID_WORKFLOW_STATE_ID: The supplied state ID is out of bounds.

# See Also

####

IEdmRevisionMgr2 Interface
IEdmRevisionMgr2 Members

# Availability

SOLIDWORKS PDM Professional 2007 SP03